Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Carp
  • Data::Dumper
  • English
  • Fcntl
  • File::Temp
  • FileHandle
  • POSIX

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_dot_dirs

Fix MANIFEST (or MANIFEST.SKIP) to exclude dot directories from a distribution. Use an appropriate tool and avoid archiving your working directory by hand. If you switch your version control system, remove old VCS directories after you migrate.

Error: .build

proper_libs

Move your *.pm files in a directory named 'lib'. The directory structure should look like 'lib/Your/Module.pm' for a module named 'Your::Module'. If you need to provide additional files, e.g. for testing, that should not be considered for Kwalitee, then you should look at the 'provides' map in META.yml to limit the files scanned; or use the 'no_index' map to exclude parts of the distribution.

Error: Schedule-Pluggable-0.07/lib/Schedule/Pluggable.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Config.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/EventHandler.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Plugin/DefaultEventHandler.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Plugin/JobsFromData.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Plugin/JobsFromXML.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Plugin/JobsFromXMLTemplate.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Run.pm, Schedule-Pluggable-0.07/lib/Schedule/Pluggable/Status.pm

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • FindBin

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Schedule::Pluggable Flexible Perl Process Scheduler 0.000007 metacpan
Schedule::Pluggable::Config Moose Role to provide methods to validate the Schedule config metacpan
Schedule::Pluggable::EventHandler Moose Role to handle the interface to MooseX::Workers by providing the methods which get called metacpan
Schedule::Pluggable::Plugin::DefaultEventHandler Plugin Role for Schedule::Pluggable to handle events metacpan
Schedule::Pluggable::Plugin::JobsFromData Plugin Role for Schedule::Pluggable to obtain Job configuration from a data structure metacpan
Schedule::Pluggable::Plugin::JobsFromXML Plugin Role for Schedule::Pluggable to obtain Job configuration from a file containing XML metacpan
Schedule::Pluggable::Plugin::JobsFromXMLTemplate Plugin Role for Schedule::Pluggable to obtain Job configuration from a Template toolkit XML file metacpan
Schedule::Pluggable::Run Moose Role to provide methods to run schedules metacpan
Schedule::Pluggable::Status Moose Role to provide methods to update the status when events occur metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
Schedule-Pluggable-0.07/MANIFEST metacpan
Schedule-Pluggable-0.07/META.yml metacpan
Schedule-Pluggable-0.07/Makefile.PL metacpan
Schedule-Pluggable-0.07/dist.ini metacpan
dist.ini metacpan